## net.sf.saxon.om
Class QNameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.sf.saxon.om.QNameException

All Implemented Interfaces:
  java.io.Serializable

    public class QNameException

extends java.lang.Exception

A QNameException represents an error condition whereby a QName (for example a variable name or template name) is malformed

See Also:
  Serialized Form

Constructor Summary
`QNameException(java.lang.String message)`

Method Summary
`java.lang.String` `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QNameException

    public QNameException(java.lang.String message)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Copyright (c) Saxonica Limited. All rights reserved.